# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc通过商品编码查询商品验证_结算页面,2288,2288-13,sit,bs
涉及到接口:多采商城根据商品编码查询商品信息接口
"""

from common.common_func import commonFuc
import requests
import json

module = "cmdc_order_handle"

# 根据商品编码查询商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url9")
request_body = commonFuc().get_business_data(module, "payload9")

"""

 场景: 验证结算页面通过商品编码查询商品信息接口连通性
 用例名称：通过商品编码查询商品验证_结算页面
 输出：{"productCode":"13977315"}
"""

# 发送请求
result = requests.get(url, params=request_body)
result = json.loads(result.content)
# print(result)
# 获取查询结果中商品code
result = {"productCode": result["data"]["list"][0]["productCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict9")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
